package com.taauav.front.entity;

import java.time.LocalDateTime;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 部门管理表
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class UserDep extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 部门名称
     */
    private String name;

    /**
     * 直接上级ID
     */
    private Integer pid;

    /**
     * 部门层级
     */
    private Integer level;

    /**
     * 有无子节点：1有 2无
     */
    private Integer hasChild;

    /**
     * 排序
     */
    private Integer sort;


}
