package com.taauav.front.vo;

import lombok.Data;

/**
 * 指挥大屏-河湖多光谱图返回结果实体类
 *
 * @author daixiantong
 * @date 2020-05-23
 */
@Data
public class IndexDriverSpectrumVo {
    /**
     * 河湖id
     */
    private Integer id;

    /**
     * 河湖名称
     */
    private String name;

    /**
     * 光谱图路径
     */
    private String url;

    /**
     * 左下纬度
     */
    private String leftLatitude;

    /**
     * 左下经度
     */
    private String leftLongitude;

    /**
     * 右上纬度
     */
    private String rightLatitude;

    /**
     * 右上经度
     */
    private String rightLongitude;
}
